#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	SVM
Summary:	Perl bindings for the libsvm Support Vector Machine library
Summary(pl.UTF-8):	Dowiązania Perla do biblioteki libsvm (Support Vector Machine)
Name:		perl-Algorithm-SVM
Version:	0.13
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	276ec1b341e05aa4c0353685f32ea4d5
URL:		http://search.cpan.org/dist/Algorithm-SVM/
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Algorithm::SVM implements a Support Vector Machine for Perl. Support
Vector Machines provide a method for creating classification functions
from a set of labeled training data, from which predictions can be
made for subsequent data sets.

%description -l pl.UTF-8
Moduł Algorithm::SVM jest implementacją Support Vector Machine dla
Perla. Support Vector Machines udostępniają sposób tworzenia funkcji
klasyfikujących ze zbioru oznaczonych danych treningowych, z których
można dokonywać przewidywań co do kolejnych zbiorów danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__sed} -i -e 's/#include <errno.h>/#include <errno.h>\n#include <stdlib.h>\n#include <string.h>/g' bindings.cpp

%build
%{__perl} Makefile.PL \
	CCFLAGS="%{rpmcflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" \
	INSTALLDIRS=vendor

# cc1plus: warning: command line option "-Wdeclaration-after-statement" is valid for C/ObjC but not for C++
%{__sed} -i -e 's/-Wdeclaration-after-statement//' Makefile

%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcxxflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Algorithm/SVM/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Algorithm/*.pm
%{perl_vendorarch}/Algorithm/SVM
%dir %{perl_vendorarch}/auto/Algorithm/SVM
%{perl_vendorarch}/auto/Algorithm/SVM/*.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Algorithm/SVM/*.so
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Algorithm-SVM.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 65ccb9a
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c7707af
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 68a1625
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0699eb8
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 740a4cc
- rel 4

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 91f511b
- fix build on 32bit archs

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 319f4ba
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d8607e
- release 2

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> db3af12
- updated to 0.13

* Mon Feb 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 93db4d9
- generic URL
- BR: sed 4

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> be7c534
- it's a C++ program

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> d67a784
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ea4580d
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 9e8c09c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> a7908fa
- added missing .ix file to %files, rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2c82a38
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c6497ef
- converted to UTF-8

* Wed May 18 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 173ad84
- updated to 0.11

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 629c3e7
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 55cf754
- updated to 0.09

